Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring
Class CheckConditionsOperation

    java.lang.Object
      org.eclipse.ltk.core.refactoring.CheckConditionsOperation

All Implemented Interfaces:
  IWorkspaceRunnable

public class CheckConditionsOperation
extends Object
implements IWorkspaceRunnable

Operation that, when run, checks the preconditions of the `Refactoring` passed on creation.

The operation should be executed via the run method offered by `IWorkspace` to achieve proper delta batching.

Note: this class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `Refactoring.checkInitialConditions(IProgressMonitor)`, `Refactoring.checkFinalConditions(IProgressMonitor)`, `Refactoring.checkAllConditions(IProgressMonitor)`

Field Summary
`static int` | `ALL_CONDITIONS` Flag indicating that all conditions will be checked
`static int` | `FINAL_CONDITIONS` Flag indicating that only final conditions will be checked
`static int` | `INITIAL_CONDITONS` Flag indicating that only initial conditions will be checked
`static int` | `NONE` Flag indicating that no conditions will be checked

Constructor Summary
`CheckConditionsOperation(Refactoring refactoring, int style)` Creates a new `CheckConditionsOperation`.

Method Summary
`Refactoring` | `getRefactoring()` Returns the operation's refactoring
`RefactoringStatus` | `getStatus()` Returns the outcome of the operation or `null` if an exception has occurred while performing the operation or if the operation hasn't been performed yet.
`int` | `getStyle()` Returns the condition checking style.
`void` | `run(IProgressMonitor pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  Flag indicating that no conditions will be checked

  See Also:
    Constant Field Values

### INITIAL_CONDITONS

    public static final int INITIAL_CONDITONS

  Flag indicating that only initial conditions will be checked

  See Also:
    Constant Field Values

### FINAL_CONDITIONS

    public static final int FINAL_CONDITIONS

  Flag indicating that only final conditions will be checked

  See Also:
    Constant Field Values

### ALL_CONDITIONS

    public static final int ALL_CONDITIONS

  Flag indicating that all conditions will be checked

  See Also:
    Constant Field Values

Constructor Detail

### CheckConditionsOperation

    public CheckConditionsOperation(Refactoring refactoring,
                                    int style)

  Creates a new `CheckConditionsOperation`.

Parameters:
  `refactoring` - the refactoring for which the preconditions are to be checked.
  `style` - style to define which conditions to check. Must be one of `INITIAL_CONDITONS`, `FINAL_CONDITIONS` or `ALL_CONDITIONS`

Method Detail

### run

    public void run(IProgressMonitor pm)
             throws CoreException

  Specified by:
    `run` in interface `IWorkspaceRunnable`
  Throws:
    `CoreException`

### getStatus

    public RefactoringStatus getStatus()

  Returns the outcome of the operation or `null` if an exception has occurred while performing the operation or if the operation hasn't been performed yet.

  Returns:
    the `RefactoringStatus` of the condition checking

### getRefactoring

    public Refactoring getRefactoring()

  Returns the operation's refactoring

  Returns:
    the operation's refactoring

### getStyle

    public int getStyle()

  Returns the condition checking style.

  Returns:
    the condition checking style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.